

#ifndef _MAC_SYS
#define _MAC_SYS

#include <ggi/libggi.h>
#include "gr.h"

//GGI data:
extern    ggi_visual_t		visual;
extern    ggi_directbuffer_t	dbuf;	// GGI direct acces to screen memory
extern    ggi_pixellinearbuffer	*plb;

extern int MonitorRowBytes;			// row bytes for monitor being used

extern ubyte have_virtual_memory;	// is virtual memory turned on??
extern ubyte use_sounds;			// what type of sound usage
extern ubyte use_alt_textures;		// what type of texture usage
extern ubyte Compatibility_mode;	// use CopyBits for compatibility

extern int  mac_init(int hide_backgroud, int hide_menubar);
extern int  macwin_init();
extern void set_win_size(int x, int y, int w, int h);

// functions for event handling
//void do_event_loop();

// functions for hiding and showing the mouse
extern void hide_cursor();
extern void show_cursor();

// functions for blitting to the window
#define bitblt_to_screen() ((void)0)

// functions for offscreen compatibility stuff
extern grs_canvas *mac_get_gworld_data( int w, int h );

// global function that will quit application
extern void do_appl_quit( void );

#endif
